> For the complete documentation index, see [llms.txt](https://docs.saas.haut.ai/haut.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.saas.haut.ai/haut.ai/administration/login-and-authentication.md).

# Login and authentication

This page describes the authentication methods available to Haut.AI SaaS users

## Available methods

There are several authentication methods available for the Haut.AI SaaS users:

* Available by default on all plans
  * Login with Google, see more [#login-with-google](#login-with-google "mention")
  * Login with Microsoft, see more [#login-with-microsoft](#login-with-microsoft "mention")
  * Login with a one-time email link. See more [#login-with-a-one-time-email-link](#login-with-a-one-time-email-link "mention")
  * Login with a passkey, see more [#login-with-a-passkey](#login-with-a-passkey "mention")
* Available on enterprise plans
  * Login with OIDC SSO, see more [#login-with-oidc-sso](#login-with-oidc-sso "mention")

You can also add two-factor authentication with an authenticator app as an extra layer of security on top of your sign-in method. See more [#two-factor-authentication-totp](#two-factor-authentication-totp "mention").

{% hint style="info" %}
If your organization received a notice about password-based login changes, see [Sign in after the authentication security update](/haut.ai/administration/login-and-authentication/sign-in-after-security-update.md).
{% endhint %}

***

## Login with Google

To login with Google:

* Click the "Continue with Google" button on the login page.
* On the next screen, select the Google account you want to use to login.
* If a user with this email exists in the system, you will be authenticated and redirected to your Haut.AI SaaS account.

{% hint style="warning" %}
Password-based SaaS login is not available. Use Google, Microsoft, OIDC SSO, a one-time email link, or a passkey to sign in.
{% endhint %}

***

## Login with Microsoft

To login with Microsoft:

* Click the "Continue with Microsoft" button on the login page.
* On the next screen, select the Microsoft account you want to use to login.
* If a user with this email exists in the system, you will be authenticated and redirected to your Haut.AI SaaS account.

{% hint style="warning" %}
Password-based SaaS login is not available. Use Google, Microsoft, OIDC SSO, a one-time email link, or a passkey to sign in.
{% endhint %}

***

## Login with a one-time email link

To login with a one-time email link:

* Enter your email on the login page.
* On the next screen, click "Sign in with a one-time link".
* If a user with this username exists in the system, you will shortly receive an email with a one-time link to log into your account.
* After clicking the link in the email, you will be authenticated and redirected to your Haut.AI SaaS account.

The link can be used only once. If it expires, return to the login page and request a new one.

***

## Login with a passkey

Sign in with a passkey using your device biometrics (Touch ID, Face ID, or Windows Hello) or a hardware security key, without entering your email. You register a passkey from your account settings, and you can register more than one.

To set up a passkey, see [Set up a passkey](/haut.ai/administration/login-and-authentication/set-up-a-passkey.md).

***

## Login with OIDC SSO

To login with OIDC SSO:

* Enter your email on the login page.
* Click "Continue with SSO."
* On the next page, confirm your email and click "Next."
* If an organization with such email alias exists in the system, you will be redirected to your organization's authentication page.
* After authentication, you will be redirected back to the Haut.AI login page.
* If a user with this email exists in the system, you will be authenticated and redirected to your Haut.AI SaaS account.

{% hint style="warning" %}
To allow users in your organization to log in with OIDC SSO, you need to set it up.

Please refer to the following instructions for details: [Set up OIDC SSO](/haut.ai/administration/login-and-authentication/set-up-oidc-sso.md).
{% endhint %}

***

## Two-factor authentication (TOTP)

You can add two-factor authentication (2FA) with an authenticator app — such as Google Authenticator, 1Password, or Authy — as an extra layer of security on top of your sign-in method.

* Set it up in **Settings**, under **Two-factor authentication**.
* When 2FA is on, you enter a one-time code from your authenticator app during sign-in.
* If you don't have your authenticator app, you can enter a recovery code instead.

***

## Managing authentication methods

Managing authentication methods are available only for enterprise accounts.

Enterprise organizations can configure OIDC SSO for their users.

***

## FAQ

### Can I register with Google/Microsoft?

Currently, new SaaS accounts are created by Haut.AI or by your organization's account administrator. After your account is created, use one of the supported sign-in options listed above.

***

{% hint style="warning" %}
Not a Haut.AI client yet?
{% endhint %}

<a href="https://haut.ai/book-a-demo?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button primary" data-icon="user-vneck">Book a demo</a> <a href="https://haut.ai/product/ai-skin-analysis?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button secondary" data-icon="external-link">Platform overview on haut.ai</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.saas.haut.ai/haut.ai/administration/login-and-authentication.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
